> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Call statistics

> Retrieve aggregated call statistics for applications within a specified time period.
Data is aggregated by the specified step interval and can be filtered by application ID and network.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/fastedge_api.yaml get /fastedge/v1/stats/calls
openapi: 3.1.0
info:
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  title: Gcore OpenAPI – FastEdge API
  version: 6519d648325b
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
  - description: Client-level settings and limits
    name: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
  - description: Statistics of edge app use
    name: Stats
  - description: Secret values that can be used in apps
    name: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
paths:
  /fastedge/v1/stats/calls:
    get:
      tags:
        - Stats
      summary: Call statistics
      description: >-
        Retrieve aggregated call statistics for applications within a specified
        time period.

        Data is aggregated by the specified step interval and can be filtered by
        application ID and network.
      operationId: StatsCalls
      parameters:
        - description: Reporting period start time in RFC3339 format
          example: '2026-01-01T00:00:00Z'
          in: query
          name: from
          required: true
          schema:
            format: date-time
            type: string
        - description: Reporting period end time in RFC3339 format (exclusive)
          example: '2026-01-31T23:59:59Z'
          in: query
          name: to
          required: true
          schema:
            format: date-time
            type: string
        - description: >-
            Reporting time granularity in seconds. Common values are 60 (1
            minute), 300 (5 minutes), 3600 (1 hour).
          example: 300
          in: query
          name: step
          required: true
          schema:
            default: 60
            type: integer
        - description: Filter statistics by specific application ID
          in: query
          name: id
          schema:
            type: integer
            format: int64
        - description: Filter statistics by edge network name
          example: gcore
          in: query
          name: network
          schema:
            format: string
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  stats:
                    items:
                      $ref: '#/components/schemas/call_stats'
                    type: array
                required:
                  - stats
                type: object
          description: Returns call statistics for the specified time period
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
components:
  schemas:
    call_stats:
      type: object
      description: Edge app call statistics
      required:
        - time
        - count_by_status
      properties:
        time:
          type: string
          format: date-time
          description: Beginning ot reporting slot
        count_by_status:
          type: array
          description: Count by status
          items:
            $ref: '#/components/schemas/count_by_status'
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    count_by_status:
      type: object
      required:
        - status
        - count
      properties:
        status:
          type: integer
          description: HTTP status
        count:
          type: integer
          description: Number of app calls
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````